<?php
/** 
 *	iCagenda - iC calendar
 *----------------------------------------------------------------------------
 * @package     com_icagenda
 * @copyright	Copyright (C) 2012 JOOMLIC - All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Jooml!C - http://www.joomlic.com
 * 
 * @since		1.2.6
 *----------------------------------------------------------------------------
*/

// No direct access to this file
defined( '_JEXEC' ) or die( 'Restricted access' );

// Load file helper.php
require_once dirname(__FILE__).DS.'helper.php';

jimport( 'joomla.environment.request' );

// Module
$cal=new modiCcalendarHelper;
$data = $cal->getStamp($params);

$date_start=date('Y-m-d');
//if($_GET['date']) $date_start=$_GET['date'];
//		if(isset($_GET['date'])) $date_start=$_GET['date'];
$dateget=JRequest::getVar('date');
if(isset($dateget)) $date_start=$dateget;
$nav=$cal->getNav($date_start);

//$params->get('numero');
$template=$params->get('template');
$mouseover=$params->get('mouseover');
$position=$params->get('position');
$posmiddle=$params->get('posmiddle');
$mon=$params->get('mon');
$tue=$params->get('tue');
$wed=$params->get('wed');
$thu=$params->get('thu');
$fri=$params->get('fri');
$sat=$params->get('sat');
$sun=$params->get('sun');
$firstday=$params->get('firstday');
if ($firstday == NULL) {
		$firstday = '1';
}
if ($firstday == '0') {
	$na=7;$nb=1;$nc=2;$nd=3;$ne=4;$nf=5;$ng=6;
}
if ($firstday == '1') {
	$na=1;$nb=2;$nc=3;$nd=4;$ne=5;$nf=6;$ng=7;
}

if(!file_exists("components/com_icagenda/template/".$template."/".$template."_calendar.php")){
$template='default';
}

$t_calendar = "components/com_icagenda/template/".$template."/".$template."_calendar.php";
$t_day = "components/com_icagenda/template/".$template."/".$template."_day.php";

JHTML::_('stylesheet', $template.'_style.css', 'components/com_icagenda/template/'.$template.'/css/');
JHTML::_('stylesheet', $template.'_style.css', 'modules/mod_iccalendar/templates/'.$template.'/css/');

JHTML::_('behavior.mootools');

$document = JFactory::getDocument();

// load jQuery, if not loaded before
if (!JFactory::getApplication()->get('jquery')) {
	JFactory::getApplication()->set('jquery', true);
	// add jQuery
$document->addScript( "https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" );
}
$document->addScript( "modules/mod_iccalendar/js/jquery.noconflict.js" );
//$document->addScript( "components/com_icagenda/template/".$template."/js/".$template."_function.js" );
if ($position == 'center') {
	$document->addScript( "modules/mod_iccalendar/js/".$posmiddle.$position."_function.js" );
}
if ($position != 'center') {
	$document->addScript( "modules/mod_iccalendar/js/".$position."_function.js" );
}
 
$document->addScript( "modules/mod_iccalendar/js/function.js" );
//$document->addScriptDeclaration('jQuery.noConflict()');

if ($mouseover == 'mouseover') {
	JText::script('mouseover');
}
if ($posmiddle == 'top') {
	JText::script('$top');
}
$stamp = new cal($data, $t_day, $nav, $mon, $tue, $wed, $thu, $fri, $sat, $sun, $firstday,$na,$nb,$nc,$nd,$ne,$nf,$ng);
require_once $t_calendar;

		$lang = JFactory::getLanguage();
		$locale = $lang->getlocale() ;
		setlocale( LC_TIME, $locale[0] ) ;

	$date=strftime("%Y %B %d");

function activeColor($color){
#convert hexadecimal to RGB
if(!is_array($color) && preg_match("/^[#]([0-9a-fA-F]{6})$/",$color)){

$hex_R = substr($color,1,2);
$hex_G = substr($color,3,2);
$hex_B = substr($color,5,2);
$RGB = hexdec($hex_R).",".hexdec($hex_G).",".hexdec($hex_B);

return $RGB;
}

}




class cal
{

	public $data;
	public $t_day;
	public $nav;

	function __construct ($data, $t_day, $nav, $mon, $tue, $wed, $thu, $fri, $sat, $sun, $firstday,$na,$nb,$nc,$nd,$ne,$nf,$ng)
	{
		$this->data=$data;
		$this->t_day=$t_day;
		$this->nav=$nav;
		$this->mon=$mon;
		$this->tue=$tue;
		$this->wed=$wed;
		$this->thu=$thu;
		$this->fri=$fri;
		$this->sat=$sat;
		$this->sun=$sun;
		$this->na=$na;
		$this->nb=$nb;
		$this->nc=$nc;
		$this->nd=$nd;
		$this->ne=$ne;
		$this->nf=$nf;
		$this->ng=$ng;
		$this->firstday=$firstday;
		
		
	}
		
	function days ()
	{
		if ($this->firstday=='0') {
			echo '<div id="mod_iccalendar">'.$this->nav.'
			<table id="icagenda_calendar" width="100%">
				<thead>
					<th width="15%" style="background:'.$this->sun.';">'.JText::_('SUN').'</th>
					<th width="14%" style="background:'.$this->mon.';">'.JText::_('MON').'</th>
					<th width="14%" style="background:'.$this->tue.';">'.JText::_('TUE').'</th>
					<th width="14%" style="background:'.$this->wed.';">'.JText::_('WED').'</th>
					<th width="14%" style="background:'.$this->thu.';">'.JText::_('THU').'</th>
					<th width="14%" style="background:'.$this->fri.';">'.JText::_('FRI').'</th>
					<th width="15%" style="background:'.$this->sat.';">'.JText::_('SAT').'</th>
				</thead>
		';
		}
		if ($this->firstday=='1') {
			echo '<div id="mod_iccalendar">'.$this->nav.'
			<table id="icagenda_calendar" width="100%">
				<thead>
					<th width="15%" style="background:'.$this->mon.';">'.JText::_('MON').'</th>
					<th width="14%" style="background:'.$this->tue.';">'.JText::_('TUE').'</th>
					<th width="14%" style="background:'.$this->wed.';">'.JText::_('WED').'</th>
					<th width="14%" style="background:'.$this->thu.';">'.JText::_('THU').'</th>
					<th width="14%" style="background:'.$this->fri.';">'.JText::_('FRI').'</th>
					<th width="14%" style="background:'.$this->sat.';">'.JText::_('SAT').'</th>
					<th width="15%" style="background:'.$this->sun.';">'.JText::_('SUN').'</th>
				</thead>
		';
		}
		
		switch ($this->data[1]['week']){
			case $this->na:
				break;
			default:
				echo '<tr><td colspan="'.($this->data[1]['week']-$this->firstday).'"></td>';
				break;		
		}
		
		foreach ($this->data as $d){
			$stamp= new day($d);
			
		if ($this->firstday=='0') {
			switch($stamp->week){
				case $this->na:
					echo '<tr><td style="background:'.$this->sun.';">';
					break;
				case $this->nb:
					echo '<td style="background:'.$this->mon.';">';
					break;
				case $this->nc:
					echo '<td style="background:'.$this->tue.';">';
					break;
				case $this->nd:
					echo '<td style="background:'.$this->wed.';">';
					break;
				case $this->ne:
					echo '<td style="background:'.$this->thu.';">';
					break;
				case $this->nf:
					echo '<td style="background:'.$this->fri.';">';
					break;
				case $this->ng:
					echo '<td style="background:'.$this->sat.';">';
					break;
				default:
					echo '<td>';
					break;
			}
		}
			
		if ($this->firstday=='1') {
			switch($stamp->week){
				case $this->na:
					echo '<tr><td style="background:'.$this->mon.';">';
					break;
				case $this->nb:
					echo '<td style="background:'.$this->tue.';">';
					break;
				case $this->nc:
					echo '<td style="background:'.$this->wed.';">';
					break;
				case $this->nd:
					echo '<td style="background:'.$this->thu.';">';
					break;
				case $this->ne:
					echo '<td style="background:'.$this->fri.';">';
					break;
				case $this->nf:
					echo '<td style="background:'.$this->sat.';">';
					break;
				case $this->ng:
					echo '<td style="background:'.$this->sun.';">';
					break;
				default:
					echo '<td>';
					break;
			}
		}
			
			require $this->t_day;
			
			switch('week'){
				case $this->ng:
					echo '</td></tr>';
					break;
				default:
					echo '</td>';
					break;
			}
		}
		
		switch ($stamp->week){
			case $this->ng:
				break;
			default:
				echo '<td colspan="'.(7-$stamp->week).'"></td></tr>';
				break;		
		}
		
		echo '</table></div>';
	}

}

class day
{
	public $date;
	public $week;
	public $day;
	public $month;
	public $year;
	public $events;
	
	function __construct ($day)
	{
		foreach ($day as $k=>$v){
			$this->$k=$v;
		}
	}
}
//require JModuleHelper::getLayoutPath('mod_iccalendar');
